{
  "name": "croquemotel",
  "version": "0.1.0",
  "description": "Re-development of Motion Twin's CroqueMotel game.",
  "license": "AGPL-3.0-or-later",
  "private": true,
  "author": {
    "name": "Eternal-Twin",
    "url": "https://eternal-twin.net"
  },
  "scripts": {
    "dev": "cross-env NODE_ENV=development TS_NODE_PROJECT=server/tsconfig.json nodemon --exec \"node --experimental-specifier-resolution=node --loader ts-node/esm -r dotenv/config server/index.ts dotenv_config_path=../.env\"",
    "dev:docker": "cross-env NODE_ENV=development TS_NODE_PROJECT=server/tsconfig.json nodemon --exec \"node --experimental-specifier-resolution=node --loader ts-node/esm\" --inspect=0.0.0.0:9229 server/index.ts -L",
    "build": "yarn run clean && yarn run build:client && yarn run build:server",
    "build:client": "nuxt build --tsconfig client/tsconfig.json",
    "build:server": "tsc -p server/ && yarn run copy:server",
    "start": "cross-env NODE_ENV=production node dist/server/index.js",
    "typeorm": "node -r ts-node/register node_modules/typeorm/cli.js",
    "clean": "rimraf dist/",
    "copy:server": "copyfiles -f server/package.json server/session-secret-key dist/server",
    "lint": "eslint --ext .ts,.js,.vue .",
    "test:client:unit": "cross-env TEST=unit ava --config ./ava.client.config.js ./client/tests/spec/**/*",
    "test:client:e2e": "cross-env TEST=e2e ava --config ./ava.client.config.js ./client/tests/e2e/**/*",
    "test:client": "yarn run test:unit & yarn run test:e2e",
    "test:server": "ava --config ./ava.server.config.js"
  },
  "dependencies": {
    "@eternal-twin/etwin-client-http": "^0.9.1",
    "@nuxtjs/axios": "^5.13.6",
    "@pixi/filter-drop-shadow": "^4.1.5",
    "@pixi/filter-glow": "^4.1.5",
    "@sinclair/typebox": "^0.16.7",
    "class-transformer": "^0.4.0",
    "cookie-universal-nuxt": "^2.1.4",
    "fastify": "^3.14.0",
    "fastify-auth": "^1.1.0",
    "fastify-csrf": "^3.0.1",
    "fastify-decorators": "^3.9.0",
    "fastify-formbody": "^5.0.0",
    "fastify-plugin": "^3.0.0",
    "fastify-secure-session": "^2.3.1",
    "fastify-sensible": "^3.1.1",
    "fontfaceobserver": "^2.1.0",
    "gsap": "npm:@gsap/member@3.8.0",
    "nuxt": "^2.15.8",
    "nuxt-i18n": "^6.28.1",
    "nuxt-property-decorator": "^2.9.1",
    "pg": "^8.5.1",
    "pino": "^6.11.2",
    "pino-pretty": "^4.7.1",
    "pixi-heaven": "^0.3.1",
    "pixi.js": "^6.1.3",
    "qs": "^6.10.1",
    "reflect-metadata": "^0.1.13",
    "superagent": "^6.1.0",
    "typeorm": "^0.2.32"
  },
  "devDependencies": {
    "@ava/babel": "^2.0.0",
    "@ava/typescript": "^2.0.0",
    "@babel/preset-env": "^7.15.6",
    "@nuxt/types": "^2.15.8",
    "@nuxt/typescript-build": "^2.1.0",
    "@nuxtjs/eslint-config-typescript": "^6.0.1",
    "@types/fontfaceobserver": "^2",
    "@types/jsdom": "^16.2.13",
    "@types/jsdom-global": "^3.0.2",
    "@types/node": "^16.9.4",
    "@types/superagent": "^4.1.10",
    "@typescript-eslint/eslint-plugin": "^4.31.2",
    "@vue/test-utils": "^1.2.2",
    "ava": "^3.15.0",
    "better-sqlite3": "^7.4.3",
    "browser-env": "^3.3.0",
    "copyfiles": "^2.4.1",
    "cross-env": "^7.0.3",
    "dotenv": "^10.0.0",
    "eslint": "^7.32.0",
    "eslint-plugin-simple-import-sort": "^7.0.0",
    "fibers": "^5.0.0",
    "jsdom": "^17.0.0",
    "jsdom-global": "^3.0.2",
    "node-sass": "^6.0.1",
    "nodemon": "^2.0.12",
    "nuxt-build-optimisations": "^1.0.7",
    "require-extension-hooks": "^0.3.3",
    "require-extension-hooks-babel": "^1.0.0",
    "require-extension-hooks-vue": "^3.0.0",
    "rimraf": "^3.0.2",
    "sass": "^1.41.1",
    "sass-loader": "^10.2.0",
    "ts-node": "^9.1.1",
    "typescript": "^4.2.3"
  }
}
